Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class OWSSwitch

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.deegree.enterprise.servlet.OWSSwitch

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class OWSSwitch

extends javax.servlet.http.HttpServlet

`OWSSwitch`

Version:
  $Revision: 20118 $, $Date: 2009-10-14 13:28:06 +0200 (Mi, 14. Okt 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: aschmitz $
See Also:
  Serialized Form

Nested Class Summary
`(package private) static class` | `OWSSwitch.Rule`

Field Summary
`(package private) static ILogger` | `LOG`

Constructor Summary
`OWSSwitch()`

Method Summary
`void` | `init(javax.servlet.ServletConfig conf)`
`void` | `service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    static final ILogger LOG

Constructor Detail

### OWSSwitch

    public OWSSwitch()

Method Detail

### init

    public void init(javax.servlet.ServletConfig conf)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse res)

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org